4 Replies Latest reply: Aug 23, 2005 3:38 AM by 451009 RSS

    Loading module "oracleasm": Unable to load module "oracleasm"

    450639
      ASMLib (oracleasm ) does not work on Oracle 10g with kernel 2.4.21-27.EL i686

      I downloaded the ASMLib at
      http://www.oracle.com/technology/tech/linux/asmlib
      and selected:
      'Oracle ASMLib 2.0' >> 'Red Hat Enterprise Linux 3 AS (x86)'

      I have successfully installed all 3 rpms, however I wasn't able to load oracleasm module in RHEL3, I recived an error:
      'Writing Oracle ASM library driver configuration: [  OK  ]
      Loading module "oracleasm": Unable to load module "oracleasm"
      [FAILED]'


      This is the kernel I am using:
      uname -rm
           2.4.21-27.EL i686


      Here are the pkg I have installed:
      rpm -qa | grep oracleasm
           oracleasm-2.4.21-27.ELsmp-1.0.4-1
           oracleasm-support-2.0.0-1
           oracleasmlib-2.0.0-1



      I am using the wrong rpms? What am I doing wrong?

      Thanks,
      -guy

      Message was edited by:
      user447636
        • 1. Re: Unable to load module "oracleasm"
          450639
          Here are the rpms I am using:


          oracleasm-2.4.21-27.ELsmp-1.0.4-1.i686.rpm
          oracleasmlib-2.0.0-1.i386.rpm
          oracleasm-support-2.0.0-1.i386.rpm
          • 2. Re: Unable to load module "oracleasm"
            450639
            I have rpm -e the

            and installed it again I noticed these errors during the install (Note: the install finished, I has to scroll back to find this error)

            depmod: *** Unresolved symbols in /lib/modules/2.4.21-27.ELsmp/unsupported/net/irda/irnet/irnet.o

            depmod: *** Unresolved symbols in /lib/modules/2.4.21-27.ELsmp/unsupported/net/netrom/netrom.o

            depmod: *** Unresolved symbols in /lib/modules/2.4.21-27.ELsmp/unsupported/net/rose/rose.o

            depmod: *** Unresolved symbols in /lib/modules/2.4.21-27.ELsmp/unsupported/net/wanrouter/wanrouter.o
            • 3. Re: Loading module "oracleasm": Unable to load module "oracleasm"
              450639
              WOHO

              I have removed
              oracleasm-2.4.21-27.ELsmp-1.0.4-1.i686.rpm - Driver for "smp" kernels

              and installing this rpm:
              oracleasm-2.4.21-27.EL-1.0.4-2.i686.rpm - Driver for "up" kernels

              sudo rpm -ivh oracleasm-2.4.21-27.EL-1.0.4-2.i686.rpm
              Preparing... ########################################### [100%]
              1:oracleasm-2.4.21-27.EL ########################################### [100%]

              Then ran the /etc/init.d/oracleasm configure as root:
              Default user to own the driver interface [oracle]:
              Default group to own the driver interface [dba]:
              Start Oracle ASM library driver on boot (y/n) [y]:
              Fix permissions of Oracle ASM disks on boot (y/n) [y]:
              Writing Oracle ASM library driver configuration: [  OK  ]
              Loading module "oracleasm": [  OK  ]
              Mounting ASMlib driver filesystem: [  OK  ]
              Scanning system for ASM disks: [  OK  ]


              rpm -qa | grep oracleasm
              oracleasm-support-2.0.0-1
              oracleasmlib-2.0.0-1
              oracleasm-2.4.21-27.EL-1.0.4-2

              Works fine!

              -Guy
              • 4. Re: Loading module "oracleasm": Unable to load module "oracleasm"
                451009
                Hi there,

                Do you happen to have a copy of oracleasm-lib-1.0.0-1.i386.rpm ?

                I am having problem loading kernel2.4.21-27 on my RH ES3.

                I am only able to load kernel2.4.21-15, and like you i have downloaded the 3 rpms from Oracle but the oracleasm configure part failed.
                I read that 2.4.21-15 kernel only work with oracleasmlib ver 1.
                That's why I'm desperately searching for this rpm.

                Cheers
                Jimmy